Query Detail Action
Request
GET /api/query_detail
Description
Used to obtain information about all queries after a specified time point
Path parameters
None
Query parameters
-
event_timeAt the specified time point (Unix timestamp, in milliseconds), obtain query information after that time point.
Request body
None
Response
{
"msg": "success",
"code": 0,
"data": {
"query_details": [{
"eventTime": 1596462699216,
"queryId": "f732084bc8e74f39-8313581c9c3c0b58",
"startTime": 1596462698969,
"endTime": 1596462699216,
"latency": 247,
"state": "FINISHED",
"database": "db1",
"sql": "select * from tbl1"
}, {
"eventTime": 1596463013929,
"queryId": "ed2d0d80855d47a5-8b518a0f1472f60c",
"startTime": 1596463013913,
"endTime": 1596463013929,
"latency": 16,
"state": "FINISHED",
"database": "db1",
"sql": "select k1 from tbl1"
}]
},
"count": 0
}
Examples
-
Get query details after the specified time point.
GET /api/query_detail?event_time=1596462079958Response:{"msg": "success","code": 0,"data": {"query_details": [{"eventTime": 1596462699216,"queryId": "f732084bc8e74f39-8313581c9c3c0b58","startTime": 1596462698969,"endTime": 1596462699216,"latency": 247,"state": "FINISHED","database": "db1","sql": "select * from tbl1"}, {"eventTime": 1596463013929,"queryId": "ed2d0d80855d47a5-8b518a0f1472f60c","startTime": 1596463013913,"endTime": 1596463013929,"latency": 16,"state": "FINISHED","database": "db1","sql": "select k1 from tbl1"}]},"count": 0}